Update team member
curl --request PUT \
--url https://api.fanvue.com/v1/agencies/team-members/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>' \
--data '
{
"creatorUuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.fanvue.com/v1/agencies/team-members/{userId}"
payload = { "creatorUuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({creatorUuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.fanvue.com/v1/agencies/team-members/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAdmin": true,
"nickname": "<string>",
"email": "jsmith@example.com",
"displayName": "<string>",
"creatorAccess": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "ADMIN"
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Agency Management
Update team member
Update a team member’s properties such as admin status or nickname.
Requires: Agency admin access
PUT
/
v1
/
agencies
/
team-members
/
{userId}
Update team member
curl --request PUT \
--url https://api.fanvue.com/v1/agencies/team-members/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>' \
--data '
{
"creatorUuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.fanvue.com/v1/agencies/team-members/{userId}"
payload = { "creatorUuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({creatorUuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.fanvue.com/v1/agencies/team-members/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAdmin": true,
"nickname": "<string>",
"email": "jsmith@example.com",
"displayName": "<string>",
"creatorAccess": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "ADMIN"
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Required scope
write:agency— Manage agency team members and invites, including inviting new team members and creators.
Authorizations
OAuth 2.0 access token, presented as a JWT bearer token in the Authorization header. Obtain a token via the authorization-code flow; the scopes granted to the token determine which operations it may call.
Headers
API version to use for the request
Example:
"2025-06-26"
Path Parameters
Team member user UUID
Body
application/json
Was this page helpful?